Multireddit V1
Custom Feed Detail V1
Get details of a specific custom feed including its subreddits. Requires bearer token.
GET /api/v1/feeds/detail
Get details of a specific custom feed including its subreddits. Requires bearer token.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
username | string | Yes | Reddit username who owns the feed. |
multi_name | string | Yes | Custom feed name (the permanent slug, e.g. 'my_gaming_feed'). |
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
proxy | string | No | Proxy. Optional if stored in Token Vault. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/feeds/detail?username=Motor_Tip8865&multi_name=<multi_name>&bearer=<bearer>&proxy=<proxy>" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/feeds/detail?username=Motor_Tip8865&multi_name=<multi_name>&bearer=<bearer>&proxy=<proxy>", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/feeds/detail?username=Motor_Tip8865&multi_name=<multi_name>&bearer=<bearer>&proxy=<proxy>"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"kind": "LabeledMulti",
"data": {
"can_edit": true,
"display_name": "my_custom_feed3",
"name": "my_custom_feed2",
"description_html": "<!-- SC_OFF --><div class=\"md\"><p>my_custom_feed3</p>\n</div><!-- SC_ON -->",
"num_subscribers": 0,
"copied_from": "/user/educational_data_269/m/my_custom_feed1",
"icon_url": "https://www.redditstatic.com/custom_feeds/custom_feed_default_1.png",
"subreddits": [
{
"name": "cats"
}
],
"created_utc": 1777478846,
"visibility": "private",
"created": 1777478846,
"over_18": false,
"path": "/user/motor_tip8865/m/my_custom_feed2",
"owner": "Motor_Tip8865",
"key_color": null,
"is_subscriber": false,
"owner_id": "t2_29onm7dc32",
"description_md": "my_custom_feed3",
"is_favorited": false
}
},
"error": null,
"timestamp": "2026-04-29T19:06:54.600042+00:00"
}